program qint

implicit none

real(8)::qsub(99)
real(8)::qsub_int
real(8)::dz = 200.0d0
integer::k, kmax

kmax = 99
qsub = 0.0d0
qsub_int = 0.0d0
open(71,file='dump.dat')
do k = 1, kmax 
   read(71, *) qsub(k)
end do

do k = 1, kmax
   qsub_int = qsub_int + qsub(k) * dz
enddo
write(*,*)qsub_int
close(71)


end program qint
